Subject: Re: [bug#77266] [PATCH] gnu: Merge xorg configurations when extending.

From: Ludovic Courtès <[email-masked]>
Date: Wed, 16 Apr 2025 16:07:38 +0200

Hi,

Ian Eure <[email-masked]> writes:

>>   (append (list (service gdm-service-type)
>>                 %xorg-intel-service
>>                 …)
>>           @dots{})
>
> Can make these changes, but I’m curious why (append (list ...) ...) is
> preferred over cons*.  I default to the latter, because I like the
> removal of the extra level of indent.

In most of the examples in the documentation, we went for ‘append’
because it less obscure to a newcomer than ‘cons*’ (or ‘cons’, even).

That’s also what the installer generates, and ‘guix home import’ I
believe.

Ludo’.